package com.yunfeiyun.agmp.common.enums;

public enum FmsNoType {

    SERIAL_PREFIX_PLAN("plan_no", "Z", 3, "种植规划"),
    SERIAL_PREFIX_TASK("task_no", "T", 3, "农事任务"),
    SERIAL_PREFIX_TASK_PICK("pick_no", "C", 3, "农事采收任务"),
    SERIAL_PREFIX_SPM_ORDER("spm_order_no","XS",5,"销售单号"),
    SERIAL_PREFIX_BUY("buy_no", "CG", 3, "采购"),
    SERIAL_PREFIX_PROCESS("process_no", "JG", 3, "加工"),
    SERIAL_PREFIX_PACK("pack_no", "BZ", 3, "包装"),
    SERIAL_PREFIX_SOURCE_NO("source_no","",4,"溯源码编号");

    private final String name;
    private final String prefix;
    private final String content;

    private final Integer maxLength;


    FmsNoType(String name, String prefix, Integer maxLength, String content) {
        this.name = name;
        this.prefix = prefix;
        this.content = content;
        this.maxLength = maxLength;
    }

    public String getName() {
        return this.name;
    }

    public String getPrefix() {
        return this.prefix;
    }

    public String getContent() {
        return this.content;
    }

    public Integer getMaxLength(){
        return this.maxLength;
    }
}
